CK_EPOCH_INIT(3)

NAME
ck_epoch_init - initialize epoch reclamation object

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_epoch.h>
void
ck_epoch_init(ck_epoch_t *epoch);

DESCRIPTION
The ck_epoch_init() function initializes the epoch object pointed to by the epoch pointer.

RETURN VALUES
This function has no return value.

ERRORS

The behavior of ck_epoch_init() is undefined if epoch is not a pointer to a ck_epoch_t object.

SEE ALSO
ck_epoch_register(3), ck_epoch_unregister(3), ck_epoch_recycle(3), ck_epoch_poll(3), ck_epoch_synchronize(3), ck_epoch_reclaim(3), ck_epoch_barrier(3), ck_epoch_call(3), ck_epoch_begin(3), ck_epoch_end(3)

Additional information available at http://concurrencykit.org/